OPAL-1.0 Object
OpalBoards_GUI::OpalBitstreamConfigFile {
    bitstreamFileName=TE0741_3-EX-0001-3_4_0_814-eHSx64_Gen4_Machines_IOConfig1_FIlt-3B-FF.bin
    slots {
        item {
            location=Slot_1_A
            supportedCards {
                item {
                    signalType=DIGITAL
                    direction=IN
                    mezzanineID=OP5353
                    description=OPAL-RT OP5353 Opto-Isolated Digital Mezzanine, Digital lines : 32, Protection : Optocouplers
                    functionality=32-channel digital input interface. Compatibility: OP5351;  OP5353;  OP5357;  OP5358-3;  OP5358-5.
                    dynamicPhase_DeadTime=1
                    reservingComponent=Unknown
			digitalOptions{
				item {
					isSelectable=1
					dataPort=2
				}
				item {
					isSelectable=1
					dataPort=3
				}
				item {
					isSelectable=1
					dataPort=4
				}
				item {
					isSelectable=1
					dataPort=5
				}
			}
                }
            }
        }
        item {
            location=Slot_1_B
            supportedCards {
                item {
                    signalType=DIGITAL
                    direction=OUT
                    mezzanineID=OP5360_2
                    description=OPAL-RT OP5360-2 Push-Pull FET 5 to 30V Mezz., Digital lines : 32, Protection : Optocouplers
                    functionality=32-channel digital output interface. Compatibility: OP5352;  OP5354;  OP5355;  OP5356-3;  OP5356-5;  OP5359;  OP5360-1;  OP5360-2;  OP5360-3.
                    dynamicPhase_DeadTime=1
                    digitalOptions {
                        item {
                            	staticType=Unknown
				isSelectable=1
				dataPort=10
				configPort=3
			}
                        item {
                            isSelectable=1
                            dataPort=11
                            configPort=4
                        }
                        item {
                            isSelectable=1
                            dataPort=12
                            configPort=5
                        }
                        item {
                            isSelectable=1
                            dataPort=13
                            configPort=6
                        }
                    }
                }
            }
        }
        item {
            location=Slot_2_A
            supportedCards {
                item {
                    signalType=ANALOG
                    direction=IN
                    mezzanineID=OP5340
                    description=OPAL-RT OP5340 Analog to Digital Mezzanine, Analog input channels : 16, Conversion time : 2.5us 
                    functionality=16-channel analog input interface. Compatibility: OP5340;  OP5340-2.
                    analogOptions {
                        dataPort1=6
                        dataPort2=7
                    }
                }
            }
        }
        item {
            location=Slot_2_B
            supportedCards {
                item {
                    signalType=ANALOG
                    direction=OUT
                    mezzanineID=OP5330_3
                    description=OPAL-RT OP5330-3 Digital to Analog Mezzanine, Analog output channels : 16, Maximum current : 15mA 
                    functionality=16-channel analog output interface. Compatibility: OP5330-1;  OP5330-3.
                    reservingComponent=Unknown
                    analogOptions {
                        isRateConfigurable=1
			dataPort1=18
			dataPort2=19
                    }
                }
            }
        }
        item {
            location=Slot_3_A
            supportedCards {
                item {
                    signalType=DIGITAL
                    direction=IN
                    mezzanineID=OP5969_1
                    description=OPAL-RT OP5969-1 RS422 - 6in and 6out
                    functionality=6-channel digital input/output interface. Compatibility: OP5969-2;  OP5969-1.
                    dynamicPhase_DeadTime=1
                    reservingComponent=Unknown
			digitalOptions {
				item {
					isSelectable=0
					staticType=Digital_quad_encoder_in
					dataPort=9
					configPort=18
				}
			}
                }
            }
        }
        item {
            location=Slot_3_B
            supportedCards {
                item {
                    signalType=DIGITAL
                    direction=OUT
                    mezzanineID=OP5969_1
                    description=OPAL-RT OP5969-1 RS422 - 6in and 6out
                    functionality=6-channel digital input/output interface. Compatibility: OP5969-2;  OP5969-1.
                    dynamicPhase_DeadTime=1
                    reservingComponent=Unknown
			digitalOptions {
				item {
					isSelectable=0
					staticType=Digital_quad_encoder_out
					dataPort=30
					configPort=22
				}
			}
                }
            }
        }
    }
	rawData {
		presentInBitstream=true
		dataToBoard {
			item {
				port=31
				type=U32
				expectedDWORDCount=2
			}
			item {
				port=34
				expectedDWORDCount=1
			}
			item {
				port=35				
				expectedDWORDCount=1
			}
		}
	}
}
